#!/bin/sh
ROOT_DIR="../../.."

echo "* components" > nav.adoc
for c in $ROOT_DIR/{infra,mycloud}-* ; do
  name=$(basename $c)
  ln -sf "../${c}/README.adoc" "pages/${name}.adoc";
  echo "** xref:${name}.adoc[${name}]" >> nav.adoc
done

helm-docs --chart-search-root "${ROOT_DIR}/" -t ./docs/modules/components/README.adoc.gotmpl -o README.adoc
